
Figure - Bug #116486
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【应用】应用信息内应用权限修改后，返回上层目录，其权限显示不会实时刷新修改
2023-02-23 15:06 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-02-23

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-24

Test Type: ST Root cause: 页面展示方式变更（两栏）导致返回后页面信息没有更新。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置——>应用

2、选择一个应用，例如王者荣耀

3、点击高级——>显示在其他应用的上层/修改系统设置/安装未知应用

4、选择允许/不允许

5、返回上一层，查看该应用权限

【预期结果】

4、权限已改变

【实际结果】

4、没有改变

【复现率】

3/3

History

#1 - 2023-02-24 18:52 - CD FW-廖涛

- % Done changed from 0 to 80

- Root cause set to 页面展示方式变更（两栏）导致返回后页面信息没有更新。

■ Current conclusion

已处理，代码已提交。

■ My analysis

页面展示方式变更（两栏）导致返回后页面信息没有更新。已做处理。

■ Next action

等待代码 Review 后入库。
#2 - 2023-02-24 19:37 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-24

■ Current conclusion

已处理，代码已入库。

■ My analysis

--

■ Next action

测试验证。

#3 - 2023-02-24 19:37 - CD FW-廖涛

- % Done changed from 80 to 100

#4 - 2023-02-24 19:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184169 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix app info state doesn't update after changed in detail page.TC-RID: 1201-0201802IssueID: TS-R-BUG-116486Change-Id:

I8bf01320183120c235cafa57d36062e53812737e

#5 - 2023-02-27 14:02 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

【验证情况】

修改应用权限后，返回上层目录，权限显示可以实时刷新

【验证结果】

pass

#6 - 2023-02-27 14:02 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

20230223-144256.mp4 2.51 MB 2023-02-23 CDTS_Test 吴诗雨
